#include<stdio.h>
using namespace std;
int main() {
	int n, a[20000], i, k, t;
	scanf("%d%d", &n, &k);
	for (i = 0; i < n; i++) {
		scanf("%d", &a[i]);
		if (a[i] == k) {
			t = a[i - 1];
		}
	}printf("%d", t);
}